| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Num::VectorStore Class Reference

Vector store. Stores Vector objects for reuse.Can be used for storage fo vectors with specific dimension (default) or for torage of any non-null vectors. More...

Inheritance diagram for IG::Num::VectorStore:
[legend]
Collaboration diagram for IG::Num::VectorStore:
[legend]

List of all members.

## Public Member Functions
| VectorStore (int length)
| Constructs a new Vector store for vectors with the specified dimension.
| VectorStore (int length, bool constrainDimensions)
  | Constructs a new Vector store. If Parameters:
  constrainDimensions |
is false then store can be used for vectors with any dimensions.
## Protected Member Functions
| VectorStore ()
| Constructs a new Vector store of unspecified dimensions.
override Vector | TryGetNew ()
| Returns a newly created object eligible for storage, or null if such an object can not be created. This method should not throw an exception.

## Detailed Description

Vector store.

Stores Vector objects for reuse.

Can be used for storage fo vectors with specific dimension (default) or for torage of any non-null vectors.

## Constructor & Destructor Documentation

IG::Num::VectorStore::VectorStore | ( |  | ) | `[inline, protected]`

Constructs a new Vector store of unspecified dimensions.

IG::Num::VectorStore::VectorStore | ( | int | length | ) | `[inline]`

Constructs a new Vector store for vectors with the specified dimension.

Parameters:

  length | Dimension of stored vectors.

IG::Num::VectorStore::VectorStore | ( | int | length,
|  | bool | constrainDimensions
| ) |  | `[inline]`

Constructs a new Vector store. If

Parameters:

  constrainDimensions |

is false then store can be used for vectors with any dimensions.

Parameters:

  length | Dimension of stored vectors.

## Member Function Documentation

override Vector IG::Num::VectorStore::TryGetNew | ( |  | ) | `[inline, protected]`

Returns a newly created object eligible for storage, or null if such an object can not be created. This method should not throw an exception.

The documentation for this class was generated from the following file:

- VectorBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events